## com.fasterxml.jackson.core.util
Class DefaultPrettyPrinter.Lf2SpacesIndenter

    java.lang.Object
      com.fasterxml.jackson.core.util.DefaultPrettyPrinter.Lf2SpacesIndenter

All Implemented Interfaces:
  DefaultPrettyPrinter.Indenter, Serializable

Enclosing class:
  DefaultPrettyPrinter

    public static class DefaultPrettyPrinter.Lf2SpacesIndenter

extends Object
implements DefaultPrettyPrinter.Indenter, Serializable

Default linefeed-based indenter uses system-specific linefeeds and 2 spaces for indentation per level.

See Also:
  Serialized Form

Field Summary
`static DefaultPrettyPrinter.Lf2SpacesIndenter` `instance`

Constructor Summary
`DefaultPrettyPrinter.Lf2SpacesIndenter()`

Method Summary
`boolean` `isInline()`
`void` `writeIndentation(JsonGenerator jg, int level)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### instance

    public static DefaultPrettyPrinter.Lf2SpacesIndenter instance

Constructor Detail

### DefaultPrettyPrinter.Lf2SpacesIndenter

    public DefaultPrettyPrinter.Lf2SpacesIndenter()

Method Detail

### isInline

    public boolean isInline()

  Specified by:
    `isInline` in interface `DefaultPrettyPrinter.Indenter`
  Returns:
    True if indenter is considered inline (does not add linefeeds), false otherwise

### writeIndentation

    public void writeIndentation(JsonGenerator jg,
                                 int level)
                          throws IOException,
                                 JsonGenerationException

  Specified by:
    `writeIndentation` in interface `DefaultPrettyPrinter.Indenter`
  Throws:
    `IOException`
    `JsonGenerationException`

Copyright © 2012 FasterXML. All Rights Reserved.